﻿@using EnergyMission

@Html.DevExpress().GridView(settings =>
{
    GridViewSettingsHelper.GridViewSettingsDefaults("gvSettingsclientAdminstrator", "ClientAdministrators", Ajax, Html, ViewContext, settings);
    settings.Settings.VerticalScrollBarMode = ScrollBarMode.Visible;
    //settings.CallbackRouteValues = new { Controller = "ClientAdministrators", Action = "GridViewPartial" };

    settings.Columns.Add("Person.EmployeeID").Caption = "Emp ID";
    settings.Columns.Add("Client.Name").Caption = "Adminstrators";
    settings.Columns.Add("Person.EmailAddress").Caption = "Email address";

    settings.Columns.Add(column =>
    {


        column.SetDataItemTemplateContent(c =>
        {


            int value = Convert.ToInt32(DataBinder.Eval(c.DataItem, "Person.Status"));
            string classs = "";
            if (value == 0)
            {
                classs = "fa fa-long-arrow-left";


            }
            else if (value == 1)
            {
                classs = "fa fa-long-arrow-right";

            }

            else if (value == 2)
            {
                classs = "fa fa-check";
            }
            else if (value == 3)
            {
                classs = "fa fa-check";
            }
            else
            {
                classs = "fa fa-check";

            }
            ViewContext.Writer.Write(String.Format("<span class='verified'> <a herf='#'> <i class='" + classs + "' > </i></a> </span>"));

            //Html.DevExpress().HyperLink(hsettings =>
            //{
            //    hsettings.Name = c.KeyValue.ToString();
            //    hsettings.Properties.ClientSideEvents.Click = "function(s,e){MyFunction(" + DataBinder.Eval(c.DataItem, "Id").ToString() + " ,'');}";
            //    hsettings.Properties.Text = "Edit";
            //}).Render();
            ViewContext.Writer.Write(

                 Ajax.ActionLink("Un-Assign", "Delete", "ClientAdministrators",
                        new
                        {
                            Id = DataBinder.Eval(c.DataItem, "Id"),
                            @style = "color:#eb4d4e"
                        },
                        new AjaxOptions
                        {
                            Confirm = "Un-assign this record?",
                            HttpMethod = "DELETE",
                            OnSuccess = "OnSuccess(data, 'gvSettingsclientAdminstrator')"
                        }) + "&nbsp;"

               );
            ViewContext.Writer.Write(String.Format("<div class='popup'> <span class='status'>Verification Status</span><ul> <li><i class='fa fa-long-arrow-left'></i> Request Verification</li><li><i class='fa fa-check Blue'></i> Varified</li><li><i class='fa fa-close red'></i> Not Varified</li></ul></div>"));



        });
    });

}).Bind(Model).GetHtml()

